installing spigot on rp3 w/ arch linux on arm

Ask questions about Arch Linux ARM. Please search before making a new topic.

installing spigot on rp3 w/ arch linux on arm

Postby emacsomancer » Sat Apr 08, 2017 4:44 am

I've been trying to install spigot (minecraft server).

When I do so, I get the following error:

Code: Select all
.......
Attempting to build version: 'latest' use --rev <version> to override
Found version
{
   "name": "1216",
   "description": "Jenkins build 1216",
   "refs": {
      "BuildData": "8df2731012bb6887630ce7ebd4c7220eabe49a07",
      "Bukkit": "4716bcc6f875def8bc7c6121dfa0f06782d7ec38",
      "CraftBukkit": "1f6c04c0f4a5fb3b9aa2c0978e9cee1cf504127f",
      "Spigot": "d276ab1ccac39a41d48a524ed7da27561a03aed9"
   },
   "toolsVersion": 47
}

Pulling updates for /srv/spigot/BuildData/.git
Exception in thread "main" org.eclipse.jgit.api.errors.JGitInternalException: Invalid ref name: origin/master
   at org.eclipse.jgit.api.ResetCommand.call(ResetCommand.java:161)
   at org.spigotmc.builder.Builder.pull(Builder.java:529)
   at org.spigotmc.builder.Builder.main(Builder.java:256)


I've tried using an AUR helper and also manually via `java -jar BuildTools.jar`, but I get the same error.
emacsomancer
 
Posts: 2
Joined: Sat Apr 08, 2017 4:40 am

Re: installing spigot on rp3 w/ arch linux on arm

Postby WarheadsSE » Mon Apr 10, 2017 2:25 pm

Code: Select all
Exception in thread "main" org.eclipse.jgit.api.errors.JGitInternalException: Invalid ref name: origin/master


This is your problem. Something is claiming there is no branch `master` on remote `origin`.
Core Developer
Remember: Arch Linux ARM is entirely community donation supported!
WarheadsSE
Developer
 
Posts: 6730
Joined: Mon Oct 18, 2010 2:12 pm

Re: installing spigot on rp3 w/ arch linux on arm

Postby emacsomancer » Mon Apr 10, 2017 2:46 pm

I ultimately figured it out - I had the wrong Java package installed. Though, oddly, I still couldn't get the AUR version of spigot to work, but I got it to work by installing it manually once the right Java package was in place.
emacsomancer
 
Posts: 2
Joined: Sat Apr 08, 2017 4:40 am


Return to User Questions

Who is online

Users browsing this forum: No registered users and 3 guests